• Register

Recent questions tagged npm

0 votes
2 answers 69 views
On trying to run the command below there show some errors. $ gulp build In my terminal and I get this assertion error. I've uninstalled node and NPM and reinstalled again using brew - How do I completely uninstall Node.js, and reinstall from beginning (Mac OS X) with these steps. My ... /**/*'], [panini.refresh]); }); // Erases the dist folder gulp.task('reset', function() { rimraf('bulma/*');
asked Oct 30, 2020 psandprop 2.4k points
0 votes
1 answer 19 views
Problem: I am very new to cordova, phonegap, ant,sdk,jdk. I am learning to use phonegap/cordova. Everything is installed properly on my machine i.e cordova, phonegap, ant,sdk,jdk. But now suddenly it started saying that: "’Node' is not recognized as an ... insufficient knowledge I am unable to fix this issue. I am looking for cordova and phonegap experts who can help me in fixing this issue.
asked Sep 2, 2020 Raphael Pacheco 4.9k points
0 votes
1 answer 58 views
Problem: I am very desperately trying to install the modules using node.js but it always fails while getting the packages with npm. I was logged in as Administrator and then used powershell/cmd with a "run as administrator". I also had problems with a registry so I ... error: Npm ERR! Please try running this command again as root/Administrator. Can someone help me in fixing my above NPM error.
asked Aug 31, 2020 Raphael Pacheco 4.9k points
0 votes
1 answer 23 views
Problem: I am a beginner to node.js, cordova and npm.When I try below command: $ npm install -g cordova@latest I always face below error: “Npm WARN deprecated node-uuid@1.4.8: Use uuid module instead.” Below are my system details: mac Os Sierra 10.12 ... each and every suggestion and also tried to install or uninstall the hundred times. I want to know is it a npm or cordova problem?
asked Aug 29, 2020 Raphael Pacheco 4.9k points
1 vote
1 answer 40 views
Problem: I have gained fundamental knowledge on Angular2. I am taking help of online tutorials to learn Angular2. I am trying to create the angular 2 App with the angular cli I have written below command in my cmd: npm install angular-cli -g After above command I am ... an error . I am unable to debug above error. I need Angular2 expert who can help me in fixing above Angular2 error for me.
asked Jun 5, 2020 Martin K 6.6k points
1 vote
1 answer 41 views
Problem: I am very new to Github. I have recently started working on Github. My Github is showing me below error on one of the repositories: We found a potential security vulnerability in one of your dependencies. A dependency defined in ./package-lock.json has known ... I am unable to see any other ways to fix above Github related issue. Kindly guide me in fixing my above Github related issue.
asked Jun 1, 2020 Martin K 6.6k points
1 vote
2 answers 160 views
Problem : I am beginner to the monaca. Currently I am trying to install the monaca with the use of below command. npm install -g monaca But I am facing below errors after executing above command: npm WARN checkPermissions Missing write access to /usr/local/lib/ ... /lib/node_modules' } I am struggling with above error from past couple of days. Can somebody help me in fixing above monaca error?
asked Mar 27, 2020 morrisBson 3.2k points
0 votes
1 answer 695 views
Problem : I am new to npm and now I am facing strange looking below error “Error: EACCES: permission denied, access '/usr/local/lib/node_modules'” Detailed error as below: npm ERR! path /usr/local/lib/node_modules npm ERR! code EACCES npm ERR! errno -13 npm ... code: 'EACCES', npm ERR! syscall: 'access', npm ERR! path: '/usr/local/lib/node_modules' } Have somebody fixed this before?
asked Feb 20, 2020 mphil 2.3k points
0 votes
1 answer 68 views
Problem : I am trying to learn the Node JS. I have already installed my Node.JS (9.4.0) with the help of below commands. $brew install node $node -v $v0.12.7 Then I executed below command npm install -g grunt-cli for test. But it gave me below error: /usr/local/ ... .<anonymous> (/usr/local/lib/node_modules/npm/bin/npm-cli.js:92:3) at Module._compile (module.js:460:26) How can I fix above error?
asked Feb 19, 2020 mphil 2.3k points
0 votes
1 answer 3K views
Problem : I am trying to start the Redux application I just cloned from the GitHub repository. I tried to run it with the below command npm start But I am getting below error > react-redux@1.0.0 start /home/workspace/assignment > webpack-dev-server --config ./ ... output above. npm WARN Local package.json exists, but node_modules missing, did you mean to install? How can I fix the above error?
asked Jan 20, 2020 jwilliam 3.9k points
0 votes
2 answers 511 views
Problem : I want to to run my NodeJS version with the nvm but getting following error: $ nvm use v4.2.4 nvm is not compatible with the npm config "prefix" option: currently set to "/Users/z/.npm-global"Run `npm config delete prefix` or `nvm use --delete- ... it. I have set the prefix on purpose to avoid the sudo npm How can I use nvm without losing the prefix for my globally installed packages?
asked Nov 29, 2019 alecxe 7.5k points
0 votes
1 answer 633 views
Problem : I made the big mistake of trying remove all sudo dependencies. I simply downloaded npm as a package from the preferred site and did a manual global install. But I had to always run with the sudo. That's why I tried to uninstall and tried to run it with homebrew. ... once built. Run `brew link` on these: Now I am completely stuck and don't know how to solve it. Does anybody have any clue?
asked Nov 25, 2019 alecxe 7.5k points
0 votes
1 answer 137 views
Problem : I am facing issues while building an app as node-sass keeps giving the following error : node sass could not find a binding for your current environment: os x 64-bit with node.js 8.x
asked Nov 15, 2019 peterlaw 6.9k points
To see more, click for the full list of questions or popular tags.